Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225258

Summary: Merge Review: aspell-bg
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: varekova
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-11 03:18:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-29 21:02:33 UTC
Fedora Merge Review: aspell-bg

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-bg/

Comment 1 Parag AN(पराग) 2007-03-28 03:58:00 UTC
Can you remove DESTDIR=$RPM_BUILD_ROOT from ./configure and update SPEC?

Comment 2 Parag AN(पराग) 2007-03-28 12:07:05 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-bg no-binary
  E: aspell-bg only-non-binary-in-usr-lib
  E: aspell-bg configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
93619a5b054d06601feedc7166ad7aa8  aspell-bg-0.50-2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-bg = 50:0.50-14
+ Not a GUI APP.

APPROVED.

Comment 3 Parag AN(पराग) 2007-04-11 03:18:21 UTC
As build is available now, therefor CLOSING this review.